package com.example.demo

import org.junit.jupiter.api.Test
import org.springframework.boot.test.context.SpringBootTest
import org.springframework.http.HttpMethod
import org.springframework.test.context.web.WebAppConfiguration
import org.springframework.test.web.servlet.request.MockMvcRequestBuilders
import org.springframework.test.web.servlet.result.MockMvcResultMatchers.status
import org.springframework.test.web.servlet.setup.MockMvcBuilders
import org.springframework.web.context.WebApplicationContext
import javax.annotation.Resource

@SpringBootTest
@WebAppConfiguration
class HelloControllerTest {

    @Resource
    private lateinit var wac : WebApplicationContext

    @Test
    fun test() {
        val mockMvc = MockMvcBuilders.webAppContextSetup(wac).build()
        val result = mockMvc.perform(MockMvcRequestBuilders.request(HttpMethod.GET, "/hello"))
                .andExpect(status().isOk)
                .andDo(::println)
                .andReturn().response.contentAsString;
        println(result)
    }

}